%define upstream_name    POE-Component-Client-MPD
%define upstream_version 2.001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    POE component to speak with MPD servers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Audio::MPD::Common::Item)
BuildRequires: perl(Audio::MPD::Common::Stats)
BuildRequires: perl(Audio::MPD::Common::Status)
BuildRequires: perl(Carp)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(List::AllUtils)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose) >= 0.920.0
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(MooseX::POE)
BuildRequires: perl(MooseX::SemiAffordanceAccessor)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(POE)
BuildRequires: perl(POE::Component::Client::TCP)
BuildRequires: perl(Readonly)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::Corpus::Audio::MPD) >= 1.120.990
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
POCOCM gives a clear message-passing interface (sitting on top of POE) for
talking to and controlling MPD (Music Player Daemon) servers. A connection
to the MPD server is established as soon as a new POCOCM object is created.

Commands are then sent to the server as messages are passed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO examples
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.1.0-3.mga8
+ Revision: 1505784
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.1.0-2.mga7
+ Revision: 1285462
- Mageia 7 Mass Rebuild

* Sat Jul 29 2017 sander85 <sander85> 2.1.0-1.mga7
+ Revision: 1132327
- update to 2.001

* Sun Jun 19 2016 pterjan <pterjan> 2.0.0-5.mga6
+ Revision: 1032468
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 2.0.0-4.mga6
+ Revision: 943167
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-3.mga5
+ Revision: 749969
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-2.mga5
+ Revision: 685814
- Mageia 5 Mass Rebuild

* Wed Jun 11 2014 sander85 <sander85> 2.0.0-1.mga5
+ Revision: 635639
- update to 2.000

* Fri Oct 18 2013 umeabot <umeabot> 1.121.670-3.mga4
+ Revision: 513866
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.121.670-2.mga3
+ Revision: 371220
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 1.121.670-1.mga3
+ Revision: 267449
- update to 1.121670

* Wed Jan 26 2011 jquelin <jquelin> 1.100.430-1.mga1
+ Revision: 40747
- mageia rebuild
- imported package perl-POE-Component-Client-MPD

